# -*- coding: utf-8 -*-
"""
Examples
========================

Configuration
------------------------

.. raw:: html

    <a
        class="gallery-item"
        href="https://github.com/modelscope/agentscope/tree/main/examples/model_configs_template"
    >
        <div class="gallery-item-card">
            <img
                class="gallery-item-card-img"
                src="https://img.alicdn.com/imgextra/i2/O1CN01M4Xm6S1PypUvcjzq5_!!6000000001910-0-tps-1598-1596.jpg"
                alt="LLM Configuration"
            >
            <div class="gallery-item-card-title">LLM Configuration</div>
        </div>
        <div class="gallery-item-description">
            Configure different LLM APIs in AgentScope.
        </div>
    </a>
    <a
        class="gallery-item"
        href="https://github.com/modelscope/agentscope/tree/main/examples/model_llama3"
    >
        <div class="gallery-item-card">
            <img
                class="gallery-item-card-img"
                src="https://img.alicdn.com/imgextra/i2/O1CN01M4Xm6S1PypUvcjzq5_!!6000000001910-0-tps-1598-1596.jpg"
                alt="Deploy LLaMA3 Locally"
            >
            <div class="gallery-item-card-title">
                Deploy LLaMA3 Locally
            </div>
        </div>
        <div class="gallery-item-description">
            Setup LLaMA3 model service locally with AgentScope. Both CPU and GPU are supported.
        </div>
    </a>

------------------------

Agent
------------------------

.. raw:: html

    <a class="gallery-item">
        <div class="gallery-item-card" href="https://github.com/modelscope/agentscope/tree/main/examples/conversation_with_web_browser_agent">
            <img
                class="gallery-item-card-img"
                src="https://img.alicdn.com/imgextra/i2/O1CN01M4Xm6S1PypUvcjzq5_!!6000000001910-0-tps-1598-1596.jpg"
                alt="Web Browser Agent"
            >
            <div class="gallery-item-card-title">
                Web Browser Agent
            </div>
        </div>
        <div class="gallery-item-description">
            Build a web browser control agent in AgentScope.
        </div>
    </a>

    <a class="gallery-item" href="https://github.com/modelscope/agentscope/tree/main/examples/conversation_with_RAG_agents">
        <div class="gallery-item-card">
            <img
                class="gallery-item-card-img"
                src="https://img.alicdn.com/imgextra/i2/O1CN01M4Xm6S1PypUvcjzq5_!!6000000001910-0-tps-1598-1596.jpg"
                alt="RAG Agent"
            >
            <div class="gallery-item-card-title">RAG Agent</div>
        </div>
        <div class="gallery-item-description">
            How to enable RAG when chatting with agents in AgentScope.
        </div>
    </a>

    <a class="gallery-item">
        <div class="gallery-item-card" href="https://github.com/modelscope/agentscope/tree/main/examples/distributed_conversation">
            <img
                class="gallery-item-card-img"
                src="https://img.alicdn.com/imgextra/i2/O1CN01M4Xm6S1PypUvcjzq5_!!6000000001910-0-tps-1598-1596.jpg"
                alt="Distributed Agent"
            >
            <div class="gallery-item-card-title">
                Distributed Agent
            </div>
        </div>
        <div class="gallery-item-description">
            How to setup distributed agent and chat with it in AgentScope.
        </div>
    </a>

------------------------

Game
------------------------

.. raw:: html

    <a
        class="gallery-item"
        href="https://github.com/modelscope/agentscope/tree/main/examples/game_werewolf"
    >
        <div class="gallery-item-card">
            <img
                class="gallery-item-card-img"
                src="https://img.alicdn.com/imgextra/i3/O1CN01dFpOh82643mygUh2Z_!!6000000007607-2-tps-1024-1024.png"
                alt="Werewolf Game"
            >
            <div class="gallery-item-card-title">
                Werewolf Game
            </div>
        </div>
        <div class="gallery-item-description">
            Six LLM-empowered agents play a Werewolf game.
        </div>
    </a>
    <a class="gallery-item" href="https://github.com/modelscope/agentscope/tree/main/examples/game_gomoku">
        <div class="gallery-item-card">
            <img
                class="gallery-item-card-img"
                src="https://img.alicdn.com/imgextra/i1/O1CN01jKJ8rT28t1BKNy2Rz_!!6000000007989-2-tps-238-231.png"
                alt="Gomoku Game"
            >
            <div class="gallery-item-card-title">Gomoku Game</div>
        </div>
        <div class="gallery-item-description">
            Agents play Gomoku game against each other.
        </div>
    </a>


------------------------

Conversation
------------------------

.. raw:: html

    <a class="gallery-item">
        <div class="gallery-item-card" href="https://github.com/modelscope/agentscope/tree/main/examples/conversation_basic">
            <img
                class="gallery-item-card-img"
                src="https://img.alicdn.com/imgextra/i2/O1CN01M4Xm6S1PypUvcjzq5_!!6000000001910-0-tps-1598-1596.jpg"
                alt="Basic Conversation"
            >
            <div class="gallery-item-card-title">
                Basic Conversation
            </div>
        </div>
        <div class="gallery-item-description">
            Basic conversation between user and agent.
        </div>
    </a>

    <a class="gallery-item" href="https://github.com/modelscope/agentscope/tree/main/examples/conversation_with_mentions">
        <div class="gallery-item-card">
            <img
                class="gallery-item-card-img"
                src="https://img.alicdn.com/imgextra/i2/O1CN01M4Xm6S1PypUvcjzq5_!!6000000001910-0-tps-1598-1596.jpg"
                alt="Conversation with @ mentions"
            >
            <div class="gallery-item-card-title">
                Conversation with @ mentions
            </div>
        </div>
        <div class="gallery-item-description">
            During conversation, use @ mentions to refer to the next agent to speak.
        </div>
    </a>

"""
